Page MenuHomeMiraheze

Extension:Mermaid and Diagrams dependencies
Closed, ResolvedPublic

Description

Follow up to T5180. Would like Mermaid enabled on wiki for use with Genealogy.

Additionally, will dependencies for the upcoming Diagrams extension be present on Miraheze in the future? This information is useful for determining whether to stick with Mermaid long-term or not.

Event Timeline

dross created this task.Feb 7 2020, 00:35
dross added a comment.Feb 19 2020, 04:12

Quick bump and also link to Mermaid extension that I neglected to add in the original task.

Mermaid: https://www.mediawiki.org/wiki/Extension:Mermaid

RhinosF1 moved this task from Backlog to Review Needed on the Extensions board.
RhinosF1 added a subscriber: RhinosF1.

New extensions must be reviewed and approved.

@Samwilson: You are marked a maintainer for it so do you want to have a look?

You seem to be approved for our security reviewing process

You are marked a maintainer for it so do you want to have a look?

I run Mermaid in production on my own sites, and the code looks fine to me. There are some issues, but no security ones that I know of. I think it'd be fine to install on Miraheze.

Additionally, will dependencies for the upcoming Diagrams extension be present on Miraheze in the future? This information is useful for determining whether to stick with Mermaid long-term or not.

There's a plan afoot to add the option to Diagrams to render local images, so that it doesn't require the external service. This is probably a couple of months away though. For now, I'd say Mermaid is the easiest, and is anyway useful for other purposes.

John removed a project: Extension-Review.Apr 8 2020, 23:57

I'd say Diagrams and Mermaid are trusted, good to go.

I don't think Diagrams is suitable for the Miraheze environment, as it requires the installation of a separate web service.

@dross Per Samwilson's comment above, could you please tell us if this extension is definitely necessary for the running of your wiki?

Reception123 closed this task as Declined.May 16 2020, 10:05
Reception123 claimed this task.

No response. Please reopen if this is still needed.

Yevvie reopened this task as Open.May 20 2020, 17:22
Yevvie added a subscriber: Yevvie.

Mermaid is needed for Extension:Genealogy (already available) to display the family trees as a graph.

I have tried all alternatives to Genealogy; sadly, the mess of the code, cross-templates and other issues is rather unfriendly way of doing it, and I'd love to see this extension work at its full potential. For this, Mermaid is required.

I'm glad you like the Genealogy extension!

I thought Mermaid had already been installed? It's Diagrams that's not possible (yet; I hope to improve it one of these days to not require a separate rendering service).

I have discussed this with Reception on IRC and I have decided to handle the install. I should have it ready soon.

This comment was removed by Reception123.
Reception123 added a subscriber: Paladox.

I'm glad you like the Genealogy extension!

I thought Mermaid had already been installed? It's Diagrams that's not possible (yet; I hope to improve it one of these days to not require a separate rendering service).

We've ran into an issue with it when we tried to install, so @Paladox has submitted a fix.

(Keeping the task open as the developers are active and the fix should be merged soon)

Yevvie added a comment.May 23 2020, 14:11

Thanks for keeping me updated and sorry for the issue you ran into. Hopefully that didn't take too much of y'alls time.

I'm glad you like the Genealogy extension!

It's absolutely amazing how much it streamlines my workflow! I'm an indie game dev/artist-worldbuilder and using wiki to manage my whole project I spent 13 years on so far; so you can imagine, hundreds of characters/npc having to be linked together, if I had to use method provided on wikipedia (ascii-like) I'd spent a year just for that. So yeah, I'm extremely grateful for the extension.

Reception123 removed Examknow as the assignee of this task.May 23 2020, 16:11

doesn't depend on EK anymore, when it's fixed we can revert the revert.

Reception123 closed this task as Resolved.Thu, Jul 30, 05:06
Reception123 claimed this task.

@Yevvie @dross Mermaid is now available to be enabled in Special:ManageWiki/extensions